
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef WORLDMODELGRID3DG_SCAN_H
#define WORLDMODELGRID3DG_SCAN_H


/* Structures definies par d'autres modules */

#include "server/tclservClient/pomTclservClientDecode.h"


/* Structures du module */
#include "server/worldModelGrid3DGPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
int scan_buf_struct_WORLDMODELGRID3DG_GRIDTHREEDMAP_POSTER_STR (char** buf, struct WORLDMODELGRID3DG_GRIDTHREEDMAP_POSTER_STR *x, int nDim, int *dims );
int scan_buf_struct_worldModelGrid3DG_STR (char** buf, struct worldModelGrid3DG_STR *x, int nDim, int *dims );
int scan_buf_struct_WORLD_MODEL_GRID3D_POSTER_NAME (char** buf, struct WORLD_MODEL_GRID3D_POSTER_NAME *x, int nDim, int *dims );
int scan_buf_struct_exportSetting (char** buf, struct exportSetting *x, int nDim, int *dims );
int scan_buf_struct_fileNameAddress (char** buf, struct fileNameAddress *x, int nDim, int *dims );
int scan_buf_struct_map3D (char** buf, struct map3D *x, int nDim, int *dims );
int scan_buf_struct_vec3 (char** buf, struct vec3 *x, int nDim, int *dims );
int scan_buf_struct_imageRange (char** buf, struct imageRange *x, int nDim, int *dims );
int scan_buf_struct_pos (char** buf, struct pos *x, int nDim, int *dims );
int scan_buf_struct_boxArea (char** buf, struct boxArea *x, int nDim, int *dims );

/* ======================== SCAN DES TYPEDEF ============================= */

int scan_buf_boxArea (char** buf, boxArea *x, int nDim, int *dims );
int scan_buf_pos (char** buf, pos *x, int nDim, int *dims );
int scan_buf_imageRange (char** buf, imageRange *x, int nDim, int *dims );
int scan_buf_vec3 (char** buf, vec3 *x, int nDim, int *dims );
int scan_buf_map3D (char** buf, map3D *x, int nDim, int *dims );
int scan_buf_fileNameAddress (char** buf, fileNameAddress *x, int nDim, int *dims );
int scan_buf_exportSetting (char** buf, exportSetting *x, int nDim, int *dims );
int scan_buf_WORLD_MODEL_GRID3D_POSTER_NAME (char** buf, WORLD_MODEL_GRID3D_POSTER_NAME *x, int nDim, int *dims );
int scan_buf_worldModelGrid3DG_STR (char** buf, worldModelGrid3DG_STR *x, int nDim, int *dims );
int scan_buf_WORLDMODELGRID3DG_GRIDTHREEDMAP_POSTER_STR (char** buf, WORLDMODELGRID3DG_GRIDTHREEDMAP_POSTER_STR *x, int nDim, int *dims );
#ifdef __cplusplus
}
#endif

#endif /* WORLDMODELGRID3DG_SCAN_H */

